var map;
var infowindow = new Array();
var lastInfWnd = null;
//地图初始化加载
function initialize(lat, lng, resultJson) {
	var myLatlng = new google.maps.LatLng(lat, lng);
	var myOptions = {
		zoom : 15,
		center : myLatlng,
		mapTypeId : google.maps.MapTypeId.ROADMAP
	}
	map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

	//画线
//	var polyOptions = {
//		strokeColor : '#989796',
//		strokeOpacity : 1.0,
//		strokeWeight : 1
//	}
//	var poly = new google.maps.Polyline(polyOptions);
//	poly.setMap(map);

	if (resultJson != null && resultJson != undefined) {
		var locus = resultJson.locus;
		if (locus != null && locus != undefined) {
			
			for ( var i = 0; i < locus.length; i++) {
				var loc = locus[i];
				// alert("locid="+loc.locusid+",lat="+loc.lat+",lng="+loc.lng+",address="+loc.address);

				if (loc.lat != 0 && loc.lng != 0) {
					var latLng = new google.maps.LatLng(loc.lat / 1000000,loc.lng / 1000000);
//					var path = poly.getPath();
//					path.push(latLng);
					infowindow[i] = new google.maps.InfoWindow( {
						content : linReplaceAll(loc.address,",", "")+"<br/>"+ conversion(loc.datetime)
					});
					var marker = new google.maps.Marker( {
						position : latLng,
						map : map
					});
					var j = i + 1;
					attachSecretMessage(marker, i);
				}
			}
		}
	}
}

//点击弹出信息窗口
function attachSecretMessage(marker, number) {
	google.maps.event.addListener(marker, 'click', function() {
		if (lastInfWnd != null) {
			lastInfWnd.close();
		}
		infowindow[number].open(map, marker);
		lastInfWnd = infowindow[number];
	});
}
//时间转换
function conversion(datetime) {
	var date = new Date();
	date.setTime(datetime);
	return date.toLocaleDateString() + " " + date.toLocaleTimeString();
}
//替换
function linReplaceAll(str, sptr, sptr1) {
	while (str.indexOf(sptr) >= 0) {
		str = str.replace(sptr, sptr1);
	}
	return str;
}
